# Barry::Mode::JavaLoader Class Reference

`#include <m_javaloader.h>`

Inheritance diagram for Barry::Mode::JavaLoader:

[legend]
Collaboration diagram for Barry::Mode::JavaLoader:

[legend]

List of all members.

## Detailed Description

The main interface class to the java program loader protocol.

To use this class, use the following steps:

- Create a Controller object (see Controller class for more details)
- Create this Mode::JavaLoader object, passing in the Controller object during construction
- Call Open() to open database socket and finish constructing.
- Call LoadDatabase() to retrieve and store a database

Definition at line 220 of file m_javaloader.h.

## Public Member Functions

bool | StopStream ()
| Must be called at the end of a JavaLoader session.
void | GetScreenshot (JLScreenInfo &info, Data &image)
| Downloads screenshot from device, and fills info with size data and the given Data buffer image with the bitmap.

## Member Function Documentation

bool Barry::Mode::JavaLoader::StopStream | ( |  | ) |

Must be called at the end of a JavaLoader session.

The JL_GOODBYE command is sent to the device. When the device responds with RESET_REQUIRED the device reset command will be sent when the socket is closed.

Returns:
  true when a device reset was required

Definition at line 474 of file m_javaloader.cc.

References Barry::JLPacket::Goodbye(), Barry::Controller::m_zero, and Barry::BadPacket::response().

Here is the call graph for this function:

void Barry::Mode::JavaLoader::GetScreenshot | ( | JLScreenInfo & | info,
|  | Data & | image |
| ) |  |  |

Downloads screenshot from device, and fills info with size data and the given Data buffer image with the bitmap.

Definition at line 615 of file m_javaloader.cc.

References Barry::JLPacket::GetData(), Barry::JLPacket::GetScreenshot(), and Barry::JLPacket::Size().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- m_javaloader.h
- m_javaloader.cc